org.eclipse.jetty.annotations

## Class ServletContainerInitializerListener

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.annotations.ServletContainerInitializerListener

All Implemented Interfaces:
  LifeCycle

    public class ServletContainerInitializerListener
    extends AbstractLifeCycle

ServletContainerInitializerListener

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

Fields
`protected WebAppContext` `_context`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`ServletContainerInitializerListener()`

### Method Summary

Methods
`void` `doStart()` Call the doStart method of the ServletContainerInitializers
`void` `doStop()` Nothing to do for ServletContainerInitializers on stop
`void` `setWebAppContext(WebAppContext context)`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _context

    protected WebAppContext _context

### Constructor Detail

#### ServletContainerInitializerListener

    public ServletContainerInitializerListener()

### Method Detail

#### setWebAppContext

    public void setWebAppContext(WebAppContext context)

#### doStart

    public void doStart()

Call the doStart method of the ServletContainerInitializers

Overrides:
  `doStart` in class `AbstractLifeCycle`
See Also:
  `AbstractLifeCycle.doStart()`

#### doStop

    public void doStop()

Nothing to do for ServletContainerInitializers on stop

Overrides:
  `doStop` in class `AbstractLifeCycle`
See Also:
  `AbstractLifeCycle.doStop()`